> ## Documentation Index
> Fetch the complete documentation index at: https://sirjosh.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> This page will show you how to make an API Request

For this quickstart, you'll use the **Details** endpoint in the **Account** Folder to retrieve the public details of an account on TMDB.

```
GET https://api.themoviedb.org/3/account/{account_id}
```

## Get your account\_id

The endpoint to fetch the account\_id is:

```
GET https://api.themoviedb.org/3/account
```

* Add the query parameter **your\_bearer\_token** to authenticate your request.

```bash theme={null}
GET https://api.themoviedb.org/3/account?bearer_token=YOUR_BEARER_TOKEN
```

Example response

```json theme={null}
{
  "id": 12345678, //Your account_id
  "name": "YourUsername",
  "include_adult": false,
  "username": "YourUsername",
  "avatar": {
    "gravatar": {
      "hash": "abc123def456ghi789"
    },
    "tmdb": {
      "avatar_path": "/path/to/avatar.jpg"
    }
  },
  "iso_639_1": "en",
  "iso_3166_1": "US"
}
```

<Note>Your account\_id is an integer value.</Note>

## Get the Account details endpoint.

```
GET https://api.themoviedb.org/3/account/{account_id}
```

**Replace the `{account_id}` with your TMDb account\_id**

To authenticate your request, include your bearer\_token as a query parameter or in the request header.

<Tabs>
  <Tab title="bearer_token as query parameter">
    ```bash theme={null}
    https://api.themoviedb.org/3/account/{account_id}
    ?bearer_token=YOUR_BEARER_TOKEN
    ```
  </Tab>

  <Tab title="bearer_token in the Request Header">
    ```
    GET https://api.themoviedb.org/3/account/{account_id}
    Authorization: Bearer YOUR_BEARER_TOKEN
    ```
  </Tab>
</Tabs>

## Make the Request

Below are examples of how to make the request using different tools:

<Tabs>
  <Tab title="Using cURL">
    ```bash theme={null}
    curl "https://api.themoviedb.org/3/account/{account_id}?api_key=YOUR_BEARER_TOKEN"
    ```
  </Tab>

  <Tab title="Using Postman">
    1. Open Postman and create a new request.

    2. Set the request type to GET.

    3. Enter the URL:

       ```bash theme={null}
       https://api.themoviedb.org/3/account/{account_id}?api_key=YOUR_API_KEY
       ```

    4. Click Send.
  </Tab>

  <Tab title="Using Python">
    ```python theme={null}
    import requests

    api_key = "YOUR_API_KEY"
    account_id = "YOUR_ACCOUNT_ID"
    url = f"https://api.themoviedb.org/3/account/{account_id}?api_key={your_bearer_token}"

    response = requests.get(url)
    data = response.json()

    print(data)
    ```
  </Tab>
</Tabs>

## Example response

If the request is successful, you’ll receive a JSON response containing details about the account. Here’s an example response:

```json theme={null}
{
  "id": 12345678,
  "name": "YourUsername",
  "include_adult": false,
  "username": "YourUsername",
  "avatar": {
    "gravatar": {
      "hash": "abc123def456ghi789"
    },
    "tmdb": {
      "avatar_path": "/path/to/avatar.jpg"
    }
  },
  "iso_639_1": "en",
  "iso_3166_1": "US"
}
```
